Menggunakan SDK pihak ketiga di aplikasi

Setelah disertakan dalam aplikasi Anda, SDK pihak ketiga dapat memberikan dampak yang signifikan terhadap kompatibilitas, performa, keamanan, perlindungan, dan kualitas aplikasi.

Perubahan terkait SDK pihak ketiga

Untuk membantu memastikan bahwa semua software pihak ketiga yang digunakan aplikasi Anda mematuhi Kebijakan Program Developer Google Play serta berkontribusi positif terhadap pengalaman pengguna, Google Play akan mulai melaporkan masalah umum pada SDK yang populer di Konsol Play.

Untuk mengetahui SDK mana yang digunakan aplikasi Anda, kami menggunakan file dependensi yang disertakan dalam aplikasi Anda. File dependensi mencantumkan semua library berversi yang diandalkan aplikasi. Aplikasi yang menggunakan Android App Bundle menyediakan file dependensi secara default. Aplikasi yang menggunakan APK menyertakan file dependensi mulai dari Plugin Android Gradle 4.0.

Memahami masalah terkait SDK pihak ketiga aplikasi Anda

Jika berlaku, masalah terkait versi SDK yang digunakan oleh aplikasi Anda diuraikan di Konsol Play pada bagian atas halaman Produksi, atau pada halaman Ringkasan rilis.

Jika aplikasi Anda menggunakan versi SDK yang dapat menyebabkan aplikasi tidak mematuhi Kebijakan Program Developer Google Play, Anda akan diarahkan untuk menggunakan versi SDK lain.

Jika aplikasi Anda menggunakan versi SDK yang sudah usang atau memiliki masalah kritis, Anda akan menerima peringatan yang mungkin memerlukan tindakan lebih lanjut. Misalnya, jika penyedia SDK telah memberi tahu kami bahwa versi SDK yang digunakan aplikasi Anda sudah usang, Anda masih dapat merilis aplikasi, tetapi Anda tidak akan dapat merilis versi lain aplikasi tersebut menggunakan versi SDK yang usang; Anda harus menggunakan versi terbaru SDK. Jika aplikasi Anda menggunakan versi SDK yang dilaporkan memiliki masalah kritis oleh penyedia SDK, Anda akan melihat peringatan yang menjelaskan jenis masalah tersebut, sebagaimana yang dijelaskan oleh penyedia SDK tersebut.

Jika Anda memiliki pertanyaan terkait versi SDK yang sudah usang atau memiliki masalah kritis, sebaiknya hubungi penyedia SDK.

Apakah ini membantu?
Bagaimana cara meningkatkannya?

Perlu bantuan lain?

Login untuk opsi dukungan tambahan guna memecahkan masalah dengan cepat